import QtQuick 1.1

Item {
    id: container

    width: 80
    height: 80

    signal clicked
    signal longtapped
    signal released

    property string text
    property string imagePath
    property int imageSize: 80

    Image {
        id: buttonImage
        anchors.verticalCenter: container.verticalCenter
        anchors.horizontalCenter: container.horizontalCenter
        width: imageSize
        height: imageSize
        source: imagePath
        scale: mouseRegion.pressed ? 0.8 : 1.0
        smooth: true
    }
    MouseArea {
        id: mouseRegion
        anchors.fill: container
        onClicked: container.clicked()
        onPressAndHold: container.longtapped()
        onReleased: container.released()
    }
}
