import QtQuick 1.1
import com.meego 1.0
import "constants.js" as UI

Item {
    id: loadingSpinner

    property bool invertedSpinner: false
    property string loadingText: "Loading..."
    property bool largeSpinner: true

    onVisibleChanged: {
        if (visible)  {
            loadingImagePlatform.running = true
        } else {
            loadingImagePlatform.running = false
        }
    }

    Image {
        id: background
        anchors.fill: parent
        source: "/usr/share/spotify/pics/object_menu_background.png"
        visible: invertedSpinner
    }

    MouseArea {
        anchors.fill: background
    }

    BusyIndicator {
        id: loadingImagePlatform
        anchors.centerIn: parent
        platformStyle: BusyIndicatorStyle {
            size: largeSpinner ? "large" : "medium"
            inverted: loadingImagePlatform.visible && invertedSpinner
        }
        visible: true
        running: true

        z: 2
    }

    Text {
        anchors.top: loadingImagePlatform.bottom
        anchors.margins: 20
        height:  loadingImagePlatform.height
        color: invertedSpinner ? "white" : "black"
        text: loadingText
        anchors.horizontalCenter: parent.horizontalCenter
        font {
            family: UI.FONT_FAMILY
            pixelSize: UI.FONT_SIZE_NORMAL
        }

        verticalAlignment: Text.AlignVCenter
    }
}
