import QtQuick 1.1

Item {
    id: overlaylabel
    signal clicked
    signal pressAndHold
    signal released

    property string imageSource: "/usr/share/spotify/pics/Spotify-31.png"
    property string labelText: ""

    Image {
        id: id_image
        source: imageSource; width: overlaylabel.width; height: overlaylabel.height
        smooth: true
        asynchronous: true

        OverlayLabelPanel {
            headerText: labelText
            width: overlaylabel.width
        }
    }

    Rectangle {
        id: highlight
        anchors.fill: parent
        color: "transparent"
        opacity: 0
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {
            highlight.color = "lightgrey"
            highlight.opacity = 0.5
        }
        onClicked: overlaylabel.clicked()
        onPressAndHold: overlaylabel.pressAndHold()
        onReleased: {
            overlaylabel.released()
            highlight.color = "transparent"
            highlight.opacity = 0
        }
        onCanceled: {
            highlight.color = "transparent"
            highlight.opacity = 0
        }
    }
}
