import QtQuick 1.1

Item {
    property string headerText: "";
    property bool highlightItem: false
    property string labelColor: "black"
    property double labelOpacity: 0.5
    property string iconPath: ""


    anchors.bottom: parent.bottom
    anchors.left: parent.left
    width: parent.width

    Rectangle {
        id: label
        color: labelColor
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        height: (headerText != "") ? 28 : 0
        width: parent.width
        visible: (headerText != "") ? true : false
        opacity: headerText ? labelOpacity : 0
    }

    Image {
        id: labelIcon
        visible: iconPath != ""
        source: iconPath
        anchors.left: parent.left
        anchors.verticalCenter: label.verticalCenter
    }

    RightSmallGroupHeader {
        text: headerText
        anchors.left: iconPath == "" ? parent.left : labelIcon.right
        anchors.right: parent.right
        anchors.leftMargin: 4
        anchors.rightMargin: 4
        anchors.bottomMargin: 2
        anchors.verticalCenter: label.verticalCenter
        width: parent.width
        color: (!highlightItem) ? "white" : "#1680DD"
    }
}
