import Qt 4.7
import "constants.js" as UI

Rectangle {
    property alias text: buttonLabel.text
    id: button
    radius: 10
    smooth: true
    signal clicked
    state: "enabled"

    border.color: "#363"

    Rectangle {
        id: disabler
        anchors.fill: parent
        radius: 10
        z: 1
        color: Qt.rgba(0.4, 0.4, 0.4, 0.5)
    }

    Gradient {
        id: normal;
        GradientStop {
            position: 0.0
            color: Qt.rgba(0.325, 0.561, 0.224, 1)
        }
        GradientStop {
            position: 1.0
            color: Qt.rgba(0.145, 0.325, 0.082, 1)
        }
    }

    Gradient {
        id: pushed
        GradientStop {
            position: 0.0
            color:  Qt.rgba(0.145, 0.325, 0.082, 1)
        }
        GradientStop {
            position: 1.0
            color:  Qt.rgba(0.325, 0.561, 0.224, 1)
        }
    }


    gradient: mouseArea.pressed ? pushed : normal

    Text {
        id: buttonLabel
        color: "white"
        anchors.centerIn: parent
        style: Text.Raised
        font {
            family: UI.FONT_FAMILY
            pixelSize: UI.FONT_SIZE_NORMAL
        }
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: button.clicked()
    }

    states: [
        State {
            name: "enabled"
            PropertyChanges {
                target: disabler
                visible: false
            }
            PropertyChanges {
                target: mouseArea
                visible: true
            }
        },
        State {
            name: "disabled"
            PropertyChanges {
                target: disabler
                visible: true
            }
            PropertyChanges {
                target: mouseArea
                visible: false
            }
        }
    ]

}
