import Qt 4.7
	
Rectangle {
    // Make the children of this Item children of the Item inside Flickable
    default property alias children: scrollableContents.children

    property int scrollbarWidth: 7
	
    property bool hideScrollBarsWhenStopped: true
	
    property alias contentWidth: scrollable.contentWidth
    property alias contentHeight: scrollable.contentHeight
    property alias flickableDirection: scrollable.flickableDirection

    property alias moving: scrollable.moving
    property alias movingHorizontally: scrollable.movingHorizontally
    property alias movingVertically: scrollable.movingVertically
    property alias flicking: scrollable.flicking
    property alias flickingHorizontally: scrollable.flickingHorizontally
    property alias flickingVertically: scrollable.flickingVertically
    property int flickableContentY: 0
    color: "transparent"
	
    // Ensure that we don't draw over siblings of the Scrollable
    clip: true
	
    Flickable {
        id: scrollable
        anchors.fill: parent
        contentY: flickableContentY
	
        Item {
            id: scrollableContents
            anchors.fill: parent
        }
    }
	
    Rectangle {
        // The flickable to which the scrollbar is attached to, must be set
        property variant flickable: scrollable

        // True for vertical ScrollBar, false for horizontal
        property bool vertical: true

        // If set to false, scrollbar is visible even when not scrolling
        property bool hideScrollBarsWhenStopped: parent.hideScrollBarsWhenStopped

        // Thickness of the scrollbar, in pixels
        property int scrollbarWidth: parent.scrollbarWidth

        color: "black"
        radius: vertical ? width/2 : height/2

        function sbOpacity() {
            if (!hideScrollBarsWhenStopped) {
                return 0.5;
            }

            return (flickable.flicking || flickable.moving) ? (vertical ? (height >= parent.height ? 0 : 0.5) : (width >= parent.width ? 0 : 0.5)) : 0;
        }

        // Scrollbar appears automatically when content is bigger than the Flickable
        opacity: sbOpacity()

        // Calculate width/height and position based on the content size and position of
        // the Flickable
        width: vertical ? scrollbarWidth : flickable.visibleArea.widthRatio * parent.width
        height: vertical ? flickable.visibleArea.heightRatio * parent.height : scrollbarWidth
        x: vertical ? parent.width - width : flickable.visibleArea.xPosition * parent.width
        y: vertical ? flickable.visibleArea.yPosition * parent.height : parent.height - height

        // Animate scrollbar appearing/disappearing
        Behavior on opacity { NumberAnimation { duration: 200 }}
    }
}
