import QtQuick 1.1

Rectangle {
    id: container
    width: parent.width
    height: 72
    color: "black"
    visible: isVisible

    property string headerText: ""
    property string imageSource: ""
    property string imageSourcePressed: ""
    property bool imageVisible: true
    property bool backgroundVisible: true
    property bool onlineMode: false
    property bool isVisible: true
    signal clicked
    Behavior on height { PropertyAnimation { duration: 100 } }
    onHeightChanged:    container.height == 0 ?
                        container.isVisible = false :
                        container.isVisible = true

    Image {
        id: background
        visible: backgroundVisible
        source: "/usr/share/spotify/pics/viewtitlepanel_background.png"
    }

    ViewTitle {
        text: container.headerText
        anchors.verticalCenter: container.verticalCenter
        anchors.right: imageVisible ? image.left : parent.right
        anchors.rightMargin: 0
    }

    Image {
        id: image
        visible: imageVisible
        anchors.right: container.right
        anchors.rightMargin: 10
        anchors.verticalCenter: container.verticalCenter
        source: mouseRegion.pressed ? container.imageSourcePressed : container.imageSource
//        scale: mouseRegion.pressed ? 0.8 : 1.0
    }

    MouseArea {
        id: mouseRegion
        anchors.fill: parent
        onClicked: imageVisible ? container.clicked() : 0
    }
}
