import QtQuick 1.1
import com.meego 1.0
import "../Components"
import "../Components/constants.js" as UI

Page {
    orientationLock: 1 // PageOrientation.LockPortrait

    Text {
        id: nowPlayingSong
        anchors.top: parent.top
        anchors.left: parent.left
        text: localPlayer.nowPlayingSong
        font.family: UI.FONT_FAMILY
        font.pixelSize: UI.FONT_SIZE_NORMAL
        color: "white"
    }

    Text {
        id: nowPlayingAlbum
        anchors.top: nowPlayingSong.bottom
        anchors.left: parent.left
        text: localPlayer.nowPlayingAlbum
        font.family: UI.FONT_FAMILY
        font.pixelSize: UI.FONT_SIZE_NORMAL
        color: "white"
    }

    Text {
        id: nowPlayingArtist
        anchors.top: nowPlayingAlbum.bottom
        anchors.left: parent.left
        text: localPlayer.nowPlayingArtist
        font.family: UI.FONT_FAMILY
        font.pixelSize: UI.FONT_SIZE_NORMAL
        color: "white"
    }

    Item {
        id: buttonPanel
        objectName: "buttonPanel"
        //anchors.left: songText.left
        //anchors.right: infoBtn.right
        //anchors.top: albumArtImage.top
        //anchors.topMargin: albumArtImage.height / 2 + 140
        anchors.centerIn: parent
        height: 80
        width: 160
        /*Button { //TODO: show when this actually does something
            id: button1
            objectName: "previous"
            enabled: true // nowPlayingAlbumArtModel.rowCount() > 1 || nowPlayingPageController.Repeat ? true : false
            imagePath: enabled ? "/usr/share/spotify/pics/pb_control-prev.png" : "/usr/share/spotify/pics/pb_control-prev-dimmed.png"
            anchors.left: buttonPanel.left
            width: parent.width / 3
            imageSize: 48
            onClicked: localPlayer.previous()
        }*/

        Button {
            id: button2
            objectName: "pause"
            imagePath: {
                if (localPlayer.isPlaying) {
                    return "/usr/share/spotify/pics/pb_control-pause.png"
                } else {
                    return "/usr/share/spotify/pics/pb_control-play.png"
                }
            }
            imageSize: 80 //48
            anchors.horizontalCenter: buttonPanel.horizontalCenter
            width: parent.width / 3
            onClicked: {
                if (localPlayer.isPlaying)
                {
                    //localPlayer.stop()
                    localPlayer.pause()
                }
                else
                {
                    localPlayer.play()
                }
            }
        }

        /*Button { //TODO: show when this actually does something
            id: button3
            objectName: "next"
            enabled: true // nowPlayingAlbumArtModel.rowCount() > 1 || nowPlayingPageController.Repeat ? true : false
            imagePath: enabled ? "/usr/share/spotify/pics/pb_control-next.png" : "/usr/share/spotify/pics/pb_control-next-dimmed.png"
            anchors.right: buttonPanel.right
            width: parent.width / 3
            imageSize: 48
            onClicked: localPlayer.next()
        }*/
    } //end Item: buttonPanel

} //end page
